GDCM: gdcm::Element< TVR, TVM > Class Template Reference

GDCM 3.2.5

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
gdcm::Element< TVR, TVM > Class Template Reference

Element class. More...

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< TVR, TVM >:
[legend]
Collaboration diagram for gdcm::Element< TVR, TVM >:
[legend]

## Public Types
typedef VRToType< TVR >::Type | Type

## Public Member Functions
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const

## Static Public Member Functions
static VM | GetVM ()
static VR | GetVR ()

## Public Attributes
VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]

## Protected Member Functions
void | SetNoSwap (Value const &v)

## Detailed Description

template<long long TVR, int TVM>
class gdcm::Element< TVR, TVM >

Element class.

Note
  TODO

Examples
  DumpADAC.cxx, DumpExamCard.cxx, DumpGEMSMovieGroup.cxx, DumpPhilipsECHO.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, GetSubSequenceData.cxx, csa2img.cxx, and iU22tomultisc.cxx.

## Member Typedef Documentation

## ◆ Type

template<long long TVR, int TVM>

typedef VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Type

## Member Function Documentation

## ◆ GetAsDataElement()

template<long long TVR, int TVM>

DataElement gdcm::Element< TVR, TVM >::GetAsDataElement | ( |  | ) | const
| inline

Examples
  Extracting_All_Resolution.cxx, and Fake_Image_Using_Stream_Image_Writer.cxx.

References gdcm_assert, GetLength(), gdcm::DataElement::GetVR(), GetVR(), Internal, gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), gdcm::VR::SQ, gdcm::VR::UI, gdcm::VR::VRASCII, and Write().

## ◆ GetLength()

template<long long TVR, int TVM>

unsigned long gdcm::Element< TVR, TVM >::GetLength | ( |  | ) | const
| inline

Examples
  DumpGEMSMovieGroup.cxx, and GetSubSequenceData.cxx.

Referenced by GetAsDataElement(), Read(), Set(), SetNoSwap(), and Write().

## ◆ GetValue() [1/2]

template<long long TVR, int TVM>

VRToType< TVR >::Type & gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) |
| inline

References gdcm_assert, and Internal.

## ◆ GetValue() [2/2]

template<long long TVR, int TVM>

const VRToType< TVR >::Type & gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) | const
| inline

Examples
  DumpADAC.cxx, DumpExamCard.cxx, DumpGEMSMovieGroup.cxx, DumpPhilipsECHO.cxx, GetSubSequenceData.cxx, and csa2img.cxx.

References gdcm_assert, and Internal.

Referenced by operator[]().

## ◆ GetValues()

template<long long TVR, int TVM>

const VRToType< TVR >::Type * gdcm::Element< TVR, TVM >::GetValues | ( |  | ) | const
| inline

References Internal.

## ◆ GetVM()

template<long long TVR, int TVM>

VM gdcm::Element< TVR, TVM >::GetVM | ( |  | ) |
| inlinestatic

## ◆ GetVR()

template<long long TVR, int TVM>

VR gdcm::Element< TVR, TVM >::GetVR | ( |  | ) |
| inlinestatic

Referenced by GetAsDataElement().

## ◆ operator[]()

template<long long TVR, int TVM>

VRToType< TVR >::Type gdcm::Element< TVR, TVM >::operator[] | ( | unsigned int | idx | ) | const
| inline

References GetValue().

## ◆ Print()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::Print | ( | std::ostream & | _os | ) | const
| inline

Examples
  DumpGEMSMovieGroup.cxx.

References Internal.

## ◆ Read()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::Read | ( | std::istream & | _is | ) |
| inline

References GetLength(), Internal, and Read().

Referenced by Read(), and Set().

## ◆ Set()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::Set | ( | Value const & | v | ) |
| inline

Examples
  csa2img.cxx.

References gdcm::ByteValue::GetLength(), GetLength(), gdcm::ByteValue::GetPointer(), Internal, and Read().

Referenced by SetFromDataElement().

## ◆ SetFromDataElement()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::SetFromDataElement | ( | DataElement< TVR, TVM > const & | de | ) |
| inline

Examples
  DumpADAC.cxx, DumpExamCard.cxx, DumpGEMSMovieGroup.cxx, DumpPhilipsECHO.cxx, GetSubSequenceData.cxx, and iU22tomultisc.cxx.

References gdcm::DataElement::GetByteValue(), gdcm::DataElement::GetValue(), gdcm::DataElement::GetVR(), gdcm::VR::INVALID, Set(), SetNoSwap(), and gdcm::VR::UN.

## ◆ SetNoSwap()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::SetNoSwap | ( | Value const & | v | ) |
| inlineprotected

References gdcm_assert, gdcm::ByteValue::GetLength(), GetLength(), gdcm::ByteValue::GetPointer(), and Internal.

Referenced by SetFromDataElement().

## ◆ SetValue()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::SetValue | ( | typename VRToType< TVR >::Type | v,
|  | unsigned int | idx = 0 )
| inline

Examples
  Extracting_All_Resolution.cxx, and Fake_Image_Using_Stream_Image_Writer.cxx.

References gdcm_assert, and Internal.

## ◆ Write()

template<long long TVR, int TVM>

void gdcm::Element< TVR, TVM >::Write | ( | std::ostream & | _os | ) | const
| inline

References GetLength(), Internal, and Write().

Referenced by GetAsDataElement(), and Write().

## Member Data Documentation

## ◆ Internal

template<long long TVR, int TVM>

VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Internal[VMToLength< TVM >::Length]

Referenced by GetAsDataElement(), GetValue(), GetValue(), GetValues(), Print(), Read(), Set(), SetNoSwap(), SetValue(), and Write().

The documentation for this class was generated from the following file:

- gdcmElement.h